// Hetzner Cloud
variable "hcloud_token" {
  type = string
}

variable "hcloud_project" {
  type = string
}

// Cloudflare
variable "cloudflare_api_token" {
  type = string
}

variable "cloudflare_zones" {
  type = any
}

// Univention
variable "ucs_api_url" {
  type = string
}

variable "ucs_api_username" {
  type = string
}

variable "ucs_api_password" {
  type = string
}

variable "ucs_zones" {
  type = any
}

// Module
variable "server" {
  default = []
}

variable "server_keys" {
  type = list(string)
}

variable "ssh_keys" {
  type = list(string)
}

variable "server_dns_zone" {
  type = string
}
